Description

Hi,

QSpatiaLite plugin provides a SQL query window similar to MapInfo. It would be nice to be able to benefit from a similar window for all

formats supported by QGIS.

History

#1 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2016-01-20 06:08 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

some news of the front of this feature request. There is now a SQL assistant which is very similar to MapInfo SQL Query dialog box. This SQL assistant is

in DBManager and is available with PostgreSQL/Oracle Spatial and Spatialite.

For other formats (OGR), there are now virtual layers with which you can make your own queries. It is available in QGIS 2.13 master (you can use a nightly

build to test it).

So I think with these two new tools, we can close this feature request. What do you think about it ?

#3 - 2016-01-20 06:22 AM - Paolo Cavallini

- Subject changed from SQL querry window to SQL query window

#4 - 2016-06-14 10:33 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
